abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
eParkomat, startup z ČR, postoupil mezi finalisty evropského akcelerátoru ChallengeUp!
Robot na pivo mu otevřel dveře k opravdovému byznysu
Internet věcí: Propojený svět? Už se to blíží...
dnes 15:00 | Zajímavý software

Stop motion je technika animace, při níž je reálný objekt mezi jednotlivými snímky ručně upravován a posouván o malé úseky, tak aby po spojení vyvolala animace dojem spojitosti. Jaký software lze pro stop motion použít na Linuxu? Článek na OMG! Ubuntu! představuje Heron Animation. Ten bohužel podporuje pouze webové kamery. Podpora digitálních zrcadlovek je začleněna například v programu qStopMotion.

Ladislav Hagara | Komentářů: 0
včera 21:21 | Nová verze Ladislav Hagara | Komentářů: 0
včera 11:44 | Zajímavý projekt

Na Indiegogo byla spuštěna kampaň na podporu herní mini konzole a multimediálního centra RetroEngine Sigma od Doyodo. Předobjednat ji lze již od 49 dolarů. Požadovaná částka 20 000 dolarů byla překonána již 6 krát. Majitelé mini konzole si budou moci zahrát hry pro Atari VCS 2600, Sega Genesis nebo NES. Předinstalováno bude multimediální centrum Kodi.

Ladislav Hagara | Komentářů: 0
včera 00:10 | Nová verze

Byla vydána verze 4.7 redakčního systému WordPress. Kódové označením Vaughan bylo vybráno na počest americké jazzové zpěvačky Sarah "Sassy" Vaughan. Z novinek lze zmínit například novou výchozí šablonu Twenty Seventeen, náhledy pdf souborů nebo WordPress REST API.

Ladislav Hagara | Komentářů: 4
6.12. 12:00 | Zajímavý projekt

Projekt Termbox umožňuje vyzkoušet si linuxové distribuce Ubuntu, Debian, Fedora, CentOS a Arch Linux ve webovém prohlížeči. Řešení je postaveno na projektu HyperContainer. Podrobnosti v často kladených dotazech (FAQ). Zdrojové kódy jsou k dispozici na GitHubu [reddit].

Ladislav Hagara | Komentářů: 27
6.12. 11:00 | Bezpečnostní upozornění

Byly zveřejněny informace o bezpečnostní chybě CVE-2016-8655 v Linuxu zneužitelné k lokální eskalaci práv. Chyba se dostala do linuxového jádra v srpnu 2011. V upstreamu byla opravena minulý týden [Hacker News].

Ladislav Hagara | Komentářů: 2
5.12. 22:00 | Komunita

Přibližně před měsícem bylo oznámeno, že linuxová distribuce SUSE Linux Enterprise Server (SLES) běží nově také Raspberry Pi 3 (dokumentace). Obraz verze 12 SP2 pro Raspberry Pi 3 je ke stažení zdarma. Pro registrované jsou po dobu jednoho roku zdarma také aktualizace. Dnes bylo oznámeno, že pro Raspberry Pi 3 je k dispozici také nové openSUSE Leap 42.2 (zprávička). K dispozici je hned několik obrazů.

Ladislav Hagara | Komentářů: 6
5.12. 06:00 | Zajímavý software

OMG! Ubuntu! představuje emulátor terminálu Hyper (GitHub) postavený na webových technologiích (HTML, CSS a JavaScript). V diskusi k článku je zmíněn podobný emulátor terminálu Black Screen. Hyper i Black Screen používají framework Electron, stejně jako editor Atom nebo vývojové prostředí Visual Studio Code.

Ladislav Hagara | Komentářů: 50
5.12. 06:00 | Zajímavý článek

I letos vychází řada ajťáckých adventních kalendářů. QEMU Advent Calendar 2016 přináší každý den nový obraz disku pro QEMU. Programátoři se mohou potrápit při řešení úloh z kalendáře Advent of Code 2016. Kalendáře Perl Advent Calendar 2016 a Perl 6 Advent Calendar přinášejí každý den zajímavé informace o programovacím jazyce Perl. Stranou nezůstává ani programovací jazyk Go.

Ladislav Hagara | Komentářů: 10
3.12. 16:24 | Nová verze

Byla vydána Mageia 5.1. Jedná se o první opravné vydání verze 5, jež vyšla v červnu loňského roku (zprávička). Uživatelům verze 5 nepřináší opravné vydání nic nového, samozřejmě pokud pravidelně aktualizují. Vydání obsahuje všechny aktualizace za posledního téměř půldruhého roku. Mageia 5.1 obsahuje LibreOffice 4.4.7, Linux 4.4.32, KDE4 4.14.5 nebo GNOME 3.14.3.

Ladislav Hagara | Komentářů: 17
Kolik máte dat ve svém domovském adresáři na svém primárním osobním počítači?
 (32%)
 (24%)
 (29%)
 (7%)
 (5%)
 (3%)
Celkem 790 hlasů
 Komentářů: 50, poslední 29.11. 15:50
Rozcestník
Reklama

Dotaz: Mozilla+java

12.4.2003 23:05 Martin
Mozilla+java
Přečteno: 62×
...pred nedavnem jsem zacal pouzivat Debiana Woodyho...predtim RH 7.3...nyni jsem ale zjistil, ze se mi nedari zprovoznit javu v mozille...zkusil jsem standardnim zpusobem vytvorit odkaz na javaplugin:

ln -s /usr/java/j2re1.4.1_02/plugin/i386/ns610/libjavaplugin_oji.so /usr/lib/mozilla/plugins

...plugin ale nefungoval...a v "Help=>About Plug-ins" taky nebylo o java plug-inu ani zminky...zkusil jsem chvilku hledat pomoci google, a vypadl mi z toho mimo jine i clanek, ktery se zabyval instalaci javy v Debianu...autor se zde zminoval o problemech s mozilou starsi data 20030205...v me mozille je v "Help => About Mozilla" uvedeno "Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030319 Debian/1.3-3"...nevim jestli se jedna o stejne datum...jestli ano, tak by nemel byt problem, protoze je novejsi...kazdopadne jsem se zkusil ridit radou, kterou autor clanku udelil svym ctenarum:

LD_PRELOAD=/usr/lib/mozilla/libxpcom.so /usr/lib/mozilla/mozilla &

Pricemz to /usr/lib/mozilla/mozilla jsem zkusil nahradit retezcem /usr/lib/mozilla/plugins/libjavaplugin_oji.so (jelikoz mi to nedavalo smysl...mimojine proto, ze tam nic jako /usr/lib/mozilla/mozilla nemam)...funkcnost pluginu je ale porad stejna...tudiz zadna... :-) ... rad bych se zeptal, jestli s touto situaci nekdo nemate zkusenost...

Odpovědi

12.4.2003 23:23 Robert Krátký | skóre: 94 | blog: Robertův bloček
Rozbalit Rozbalit vše Mozilla+java
Pro debianni build mozilly 1.3 (a vyssi) potrebujete Blackdown JVM, ne Sun. Pak by to melo fungovat.
CIJOML avatar 13.4.2003 01:37 CIJOML | skóre: 58 | Praha
Rozbalit Rozbalit vše Mozilla+java
kec - java od sunu s verzi 1.3 naprosto bez problemu chodi - musis mit mozillu kompilovanou gcc 2.95.X a nemas problem.

cijoml@notas:/usr/local/lib/mozilla-1.3/plugins$ > ls -l
total 1476
-rw-rw-r-- 1 root root 856 2003-02-25 01:44 flashplayer.xpt drwxr-xr-x 7 root src 4096 2003-03-29 12:42 j2re1.4.1_02
-rwxrwxr-x 1 root root 1470464 2003-02-25 01:44 libflashplayer.so
lrwxrwxrwx 1 root root 51 2003-03-29 12:42 libjava.oji.so -> j2re1.4.1_02/plugin/i386/ns610/libjavaplugin_oji.so
-rwxr-xr-x 1 root root 25766 2003-03-15 00:30 libnullplugin.so

13.4.2003 10:04 Martin
Rozbalit Rozbalit vše Mozilla+java
no k te kompilaci...ja kompiluju, jen kdyz neni vyhnuti...a to (jak vidim) neni tento pripad :-) ...dival jsem se na www.blackdown.org...nejak jsem ale nepochopil o co se tady vlastne jedna...vzdycky jsem si stahoval jre od Sunu...v cem je vlastne problem? ....kazdopadne jsem se presunul na ftp://ftp.informatik.hu-berlin.de/pub/Java/Linux/JDK-1.4.1/i386/beta podle odkazu na www.blackdown.org...nasel jsem zde ale pouze soubor j2re-1.4.1-beta-linux-i586.bin...velikost i nazev souboru jsou totozne s tim co jsem si stahoval predtim ze java.sun.com...tak vlastne nevim, co s tim...mam si nejdriv odinstalovat jre od sunu a pak stahnout a standardnim zpusobem nainstalovat vyse zmineny soubor (balicek)...v cem je rozdil? ... za pripadnou odpoved predem dekuji...
13.4.2003 10:09 Robert Krátký | skóre: 94 | blog: Robertův bloček
Rozbalit Rozbalit vše Mozilla+java
takze jeste jednou: pokud nainstalujes balicek mozilly z unstable, bude to bud 1.3 nebo 1.4a (cvs snapshot). ty jsou kompilovane pomoci 3.2.x, takze pro ne potrebujes blackdown javu.

kdyz pouzijes nejakou verzi treba z mozilla.org, vsechno bude slapat i s javou od sunu.

13.4.2003 10:05 Robert Krátký | skóre: 94 | blog: Robertův bloček
Rozbalit Rozbalit vše Mozilla+java
ehm, samozrejme, ze to neni kec. a potvrzujes to sam svym prispevkem. ja jsem totiz mluvil o 'debiannim buildu' mozilly. a mozilla 1.3, ktera je v debian unstable, neni prekladana pomoci 2.95, a proto s ni sun nechodi.
13.4.2003 13:35 Martin
Rozbalit Rozbalit vše Mozilla+java
hmm...tak jsem si to blackdown jre nainstaloval dle pokynu...ale pri spusteni mozilly a nahledu do "Help=>About Plug-ins" zase nic nevidim...jedine co se mi podarilo vykoumat je:

ldd javaplugin_oji.so

libxpcom.so => not found
libXt.so.6 => /usr/X11R6/lib/libXt.so.6 (0x40047000)
libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x40091000)
libdl.so.2 => /lib/libdl.so.2 (0x4014c000)
libc.so.6 => /lib/libc.so.6 (0x4014f000)
libSM.so.6 => /usr/X11R6/lib/libSM.so.6 (0x4025f000)
libICE.so.6 => /usr/X11R6/lib/libICE.so.6 (0x40268000)
/lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x80000000)

Tu knihovnu "libxpcom.so" mam umistenou v:

1. /opt/OpenOffice/program/libxpcom.so
2. /usr/lib/mozilla/libxpcom.so

Nemuzete mi poradit, jak ji "vynest na deni svetlo"...tzn. jak zaridit aby mi ldd zahlasil, ze je vse ok...
13.4.2003 14:38 Martin
Rozbalit Rozbalit vše Mozilla+java
Tak ten problem s knihovnou jsem uz vyresil pridanim cesty /usr/lib/mozilla/ do /etc/ld.so.conf a následným zadáním příkazu ldconfig. Takže ldd mi ted hlasi, ze je vse ok...plugin mi ale porad nejede...heeeeeeeeeeeeeeelp! ... :-)
14.4.2003 11:27 Tomas
Rozbalit Rozbalit vše Mozilla+java
Jak uz tu negdo psal, je to asi zpusobene instalaci unstable debian buildu mozilly, ktery je zkompilovan jinou verzi gcc. Takze zkuste nainstalovat mozillu z mozilla.org a ta funguje se SUN JRE. Tom
Stanislav Brabec avatar 14.4.2003 12:27 Stanislav Brabec | skóre: 45 | Praha
Rozbalit Rozbalit vše Mozilla+java
Mozilla kompilovaná gcc3 funguje výhradně s těmito Javami: blackdown-1.4.1 Sun-J2SDK-1.4.x, kompilovaná ze zdrojáku na vlastním počítači pomoci gcc3 (k jejímu stežení se musíte registrovat a potvrdit licenci, její kompilace je značně netriviální). Mozilla kompilovaná gcc2 funguje se vším, nejspíš kromě blackdown-1.4.1.

Založit nové vláknoNahoru

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

ISSN 1214-1267   www.czech-server.cz
© 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.